using System.Text.Json.Serialization;

namespace Hotline.YbEnterprise.Sdk;

public class YbEnterpriseResponse<TData>
{
    [JsonPropertyName("code")]
    public int Code { get; set; }

    [JsonPropertyName("success")]
    public bool Success { get; set; }

    [JsonPropertyName("data")]
    public TData Data { get; set; }

    [JsonPropertyName("msg")]
    public string Message { get; set; }
}